<?php

$registro = $this->uri->rsegment(4);

if($registro == null)
{
    $registro = 0;
}

$registro = $registro + 1;
$movimientoID = $this->uri->rsegment(3);

$next = site_url('movimiento/surtido_dinamico/' . $movimientoID . '/' . $registro);
if($dinamico == 'captura')
{
	$bandera = 'on';
}else
{
	$bandera = 'off';
}
?>
<script type="text/javascript">

	$(document).on('ready', inicio);

	function inicio()
	{
		getSelectInvetarioID();
		evaluaNext();
	}

	function evaluaNext()
	{
		var $req = $("#requeridas").html();
		var $sur = $("#surtidas").html();
		var $bandera = '<?php echo $bandera; ?>';

		$req = parseInt($req.replace(',', "")); 
		$sur = parseInt($sur.replace(',', ""));

		if($req == $sur && $bandera == 'on')
		{
			window.location = "<?php echo $next; ?>";
		}
	}
	
	$("#default_form").on('submit', envia);

	function envia(event)
	{
		event.preventDefault();
		var $inventarioID = $("#inventarioID").val();
		var $cansur = parseInt($("#cansur").val());
		var $movimientoID = $("input[name='movimientoID']").val();

		if($cansur > 0)
		{
			var $url = '<?php echo site_url('movimiento/sutido_dinamico_cansur'); ?>';
	    	var $variables = { inventarioID : $inventarioID, cansur: $cansur, movimientoID: $movimientoID };
	    	var posting = $.post( $url, $variables );
	        
	        posting.done(function(data)
	        {
	        	var $res = parseInt(data);

	        	window.location = "<?php echo site_url(uri_string()); ?>";
	        });
		}

	}

	function getSelectInvetarioID()
	{
		var $ubicacion_predeterminada = $("#inventarioID option:selected").text();
		var $valido = parseInt($ubicacion_predeterminada.slice(-1));
		var $subtipoMovimiento = parseInt($("#subtipoMovimiento").html());
		if($subtipoMovimiento == 22 && $valido == 0)
		{
			alert("La caducidad es menor a 6 meses, verificar si puede ser surtida para esta unidad.");
		}
		$("#ubicacion_predeterminada").html($ubicacion_predeterminada);
	}

	$("#inventarioID").on('change', getSelectInvetarioID);

	$(".eliminar").on('click', doEliminar);

	function doEliminar(event)
	{
		event.preventDefault();

		if(confirm("Deseas eliminar este registro ??"))
		{
			var $url = event.currentTarget.attributes.href.value;
			var $variables = { };
			var posting = $.post( $url, $variables );

			posting.done(function(data)
	        {
	        	location.reload(); 
	        });
			
		}else{
			return false;
		}
		

	}

</script>